"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/sass.ts
var sass_exports = {};
__export(sass_exports, {
  default: () => sass_default
});
module.exports = __toCommonJS(sass_exports);

// src/module/sass/rule/sass_disabled_rule.ts
var sassDisabledRule = {
  "at-rule-no-unknown": null,
  "scss/at-else-closing-brace-newline-after": null,
  "scss/at-else-closing-brace-space-after": null,
  "scss/at-else-empty-line-before": null,
  "scss/at-if-closing-brace-newline-after": null,
  "scss/at-if-closing-brace-space-after": null,
  "scss/at-mixin-named-arguments": null,
  "scss/at-rule-conditional-no-parentheses": null,
  "scss/at-use-no-unnamespaced": null,
  "scss/comment-no-loud": null,
  "scss/declaration-nested-properties-no-divided-groups": null,
  "scss/dimension-no-non-numeric-values": null,
  "scss/dollar-variable-default": null,
  "scss/dollar-variable-empty-line-after": null,
  "scss/dollar-variable-empty-line-before": null,
  "scss/dollar-variable-first-in-block": null,
  "scss/dollar-variable-no-missing-interpolation": null,
  "scss/double-slash-comment-empty-line-before": null,
  "scss/map-keys-quotes": null,
  "scss/media-feature-value-dollar-variable": null,
  "scss/no-dollar-variables": null,
  "scss/no-duplicate-dollar-variables": null,
  "scss/no-unused-private-members": null,
  "scss/operator-no-newline-after": null,
  "scss/operator-no-newline-before": null,
  "scss/partial-no-import": null,
  "scss/selector-nest-combinators": null
};

// src/module/sass/rule/sass_general_rule.ts
var sassGeneralRule = {
  "scss/at-each-key-value-single-line": true,
  "scss/at-else-if-parentheses-space-before": "never",
  "scss/at-extend-no-missing-placeholder": true,
  "scss/at-function-named-arguments": "never",
  "scss/at-function-parentheses-space-before": "never",
  "scss/at-function-pattern": "^[a-z]+([a-z0-9-]+[a-z0-9]+)?$",
  "scss/at-if-no-null": true,
  "scss/at-import-partial-extension-disallowed-list": ["scss"],
  "scss/at-mixin-argumentless-call-parentheses": "always",
  "scss/at-mixin-no-risky-nesting-selector": true,
  "scss/at-mixin-parentheses-space-before": "never",
  "scss/at-mixin-pattern": "^[a-z]+([a-z0-9-_]+[a-z0-9]+)?$",
  "scss/at-rule-no-unknown": [true, { ignoreAtRules: ["tailwind"] }],
  "scss/at-use-no-redundant-alias": true,
  "scss/block-no-redundant-nesting": true,
  "scss/comment-no-empty": true,
  "scss/declaration-nested-properties": "never",
  "scss/dollar-variable-colon-newline-after": "always-multi-line",
  "scss/dollar-variable-colon-space-after": "always",
  "scss/dollar-variable-colon-space-before": "never",
  "scss/dollar-variable-no-namespaced-assignment": true,
  "scss/dollar-variable-pattern": "^[_]?[a-z0-9]+([a-z0-9_]+[a-z0-9]+)?$",
  "scss/double-slash-comment-whitespace-inside": "always",
  "scss/function-calculation-no-interpolation": true,
  "scss/function-color-relative": true,
  "scss/function-no-unknown": true,
  "scss/function-quote-no-quoted-strings-inside": true,
  "scss/function-unquote-no-unquoted-strings-inside": true,
  "scss/load-no-partial-leading-underscore": true,
  "scss/load-partial-extension": "never",
  "scss/no-duplicate-mixins": true,
  "scss/no-global-function-names": true,
  "scss/operator-no-unspaced": true,
  "scss/percent-placeholder-pattern": "^[a-z]+([a-z0-9-]+[a-z0-9]+)?$",
  "scss/property-no-unknown": true,
  "scss/selector-no-redundant-nesting-selector": true,
  "scss/selector-no-union-class-name": true
};

// src/sass.ts
var sass = {
  customSyntax: "postcss-scss",
  plugins: ["stylelint-scss"],
  rules: {
    ...sassDisabledRule,
    ...sassGeneralRule
  }
};
var sass_default = sass;
